Subject: [PATCH v8 1/8] ftrace: make CALLER_ADDRx macros more generic

From: [email-masked] (Will Deacon)
Date: Mon, 12 May 2014 16:58:11 +0100

Hi guys,

On Fri, May 02, 2014 at 08:19:57PM +0100, Steven Rostedt wrote:
> On Wed, 30 Apr 2014 18:54:29 +0900
> AKASHI Takahiro <[email-masked]> wrote:
> 
> > Most archs with HAVE_ARCH_CALLER_ADDR have the almost same definitions
> > of CALLER_ADDRx(n), and so put them into linux/ftrace.h.
> 
> Please add a bit more to the change log. Like what you did. Something
> like:
> 
> ----
> Most archs with HAVE_ARCH_CALLER_ADDR have pretty much the same
> definitions of CALLER_ADDRx(n). Instead of duplicating the code for all
> the archs, define a ftrace_return_address0() and
> ftrace_return_address(n) that can be overwritten by the archs if they
> need to do something different. Instead of 7 macros in every arch, we
> now only have at most 2 (and actually only 1 as
> ftrace_return_address0() should be the same for all archs).
> 
> The CALLER_ADDRx(n) will now be defined in linux/ftrace.h and use the
> ftrace_return_address*(n?) macros. This removes a lot of the duplicate
> code.
> -----
> 
> Use that if you want :-)

Akashi: did you get around to posting a new version of this patch? We can't
take your arm64 patches until you get the core stuff merged...

Will